Returns policies, blueprints and project member users available to the requesting user. These entities are specified when requesting end user invitations.
Request Path
OPTIONS /api/v3/invitations?projectNameFilter={projectName}&projectIdFilter={projectId}&blueprintNameFilter={blueprintName}&blueprintIdFilter={blueprintId}&policyNameFilter={policyName}&policyIdFilter={policyId}&onlyProjectMembers=true
Request Payload
None
Parameters
projectNameFilter |
Optional. Specifies only to return results that belong to the specified project, where {projectName} is the name of the project. |
projectIdFilter |
Optional. Specifies only to return results that belong to the specified project, where {projectId} is the id of the project. |
blueprintNameFilter |
Optional. Specifies to return only options that are relevant to the specified blueprint, where {blueprintName} is the name of the blueprint. |
blueprintIdFilter |
Optional. Specifies to return only options that are relevant to the specified blueprint, where {blueprintId} is the id of the blueprint. |
policyNameFilter |
Optional. Specifies to return only options that are relevant to the specified environment policy, where {policyName} is the name of the policy. |
policyIdFilter |
Optional. Specifies to return only options that are relevant to the specified environment policy, where {policyId} is the id of the policy. |
onlyProjectMembers |
Optional. Defaults to false. When set to true, will only return the owningProjectMembers section. |
Response Example
{
"envPoliciesList": [
{
"id": "POLs3J1NEAESn7ipYMwYq20Q2",
"name": "24 hours",
"projectId": "PRjTcEu83MXmpDAHTf47b-QQ2",
"projectName": "Testing project",
"organizations": [
"CloudShare"
],
"blueprints": [
{
"id": "BPitsTtiUS27hEsHcVZcZsxw2",
"name": "Testing Sample",
"regions": [
"REKolD1-ab84YIxODeMGob9A2"
]
}
]
}
],
"owningProjectMembers": [
{
"id": "VPJMmaEFfIsTCoVGBjZtpRgw2",
"name": "Jayden Inigo",
"email": "JaydenInigo@cloudshare.com",
"organizations": [
"CloudShare"
]
}
]
}